org.apache.solr.update.processor

## Interface LangIdParams

- All Known Implementing Classes:
    LangDetectLanguageIdentifierUpdateProcessor, LangDetectLanguageIdentifierUpdateProcessorFactory, LanguageIdentifierUpdateProcessor, TikaLanguageIdentifierUpdateProcessor, TikaLanguageIdentifierUpdateProcessorFactory

      public interface LangIdParams

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOCID_FIELD_DEFAULT`
    `static String` | `DOCID_LANGFIELD_DEFAULT`
    `static String` | `DOCID_LANGSFIELD_DEFAULT`
    `static String` | `DOCID_PARAM`
    `static Double` | `DOCID_THRESHOLD_DEFAULT`
    `static String` | `ENFORCE_SCHEMA`
    `static String` | `FALLBACK`
    `static String` | `FALLBACK_FIELDS`
    `static String` | `FIELDS_PARAM`
    `static String` | `LANG_FIELD`
    `static String` | `LANG_WHITELIST`
    `static String` | `LANGS_FIELD`
    `static String` | `LANGUAGE_ID`
    `static String` | `LCMAP`
    `static String` | `MAP_ENABLE`
    `static String` | `MAP_FL`
    `static String` | `MAP_INDIVIDUAL`
    `static String` | `MAP_INDIVIDUAL_FL`
    `static String` | `MAP_KEEP_ORIG`
    `static String` | `MAP_LCMAP`
    `static String` | `MAP_OVERWRITE`
    `static String` | `MAP_PATTERN`
    `static String` | `MAP_PATTERN_DEFAULT`
    `static String` | `MAP_REPLACE`
    `static String` | `MAP_REPLACE_DEFAULT`
    `static String` | `MAX_FIELD_VALUE_CHARS`
    `static int` | `MAX_FIELD_VALUE_CHARS_DEFAULT`
    `static String` | `MAX_TOTAL_CHARS`
    `static int` | `MAX_TOTAL_CHARS_DEFAULT`
    `static String` | `OVERWRITE`
    `static String` | `THRESHOLD`

- - ### Field Detail

    - #### LANGUAGE_ID

          static final String LANGUAGE_ID

      See Also:
        Constant Field Values

    - #### DOCID_PARAM

          static final String DOCID_PARAM

      See Also:
        Constant Field Values

    - #### FIELDS_PARAM

          static final String FIELDS_PARAM

      See Also:
        Constant Field Values

    - #### LANG_FIELD

          static final String LANG_FIELD

      See Also:
        Constant Field Values

    - #### LANGS_FIELD

          static final String LANGS_FIELD

      See Also:
        Constant Field Values

    - #### FALLBACK

          static final String FALLBACK

      See Also:
        Constant Field Values

    - #### FALLBACK_FIELDS

          static final String FALLBACK_FIELDS

      See Also:
        Constant Field Values

    - #### OVERWRITE

          static final String OVERWRITE

      See Also:
        Constant Field Values

    - #### THRESHOLD

          static final String THRESHOLD

      See Also:
        Constant Field Values

    - #### ENFORCE_SCHEMA

          static final String ENFORCE_SCHEMA

      See Also:
        Constant Field Values

    - #### LANG_WHITELIST

          static final String LANG_WHITELIST

      See Also:
        Constant Field Values

    - #### LCMAP

          static final String LCMAP

      See Also:
        Constant Field Values

    - #### MAP_ENABLE

          static final String MAP_ENABLE

      See Also:
        Constant Field Values

    - #### MAP_FL

          static final String MAP_FL

      See Also:
        Constant Field Values

    - #### MAP_OVERWRITE

          static final String MAP_OVERWRITE

      See Also:
        Constant Field Values

    - #### MAP_KEEP_ORIG

          static final String MAP_KEEP_ORIG

      See Also:
        Constant Field Values

    - #### MAP_INDIVIDUAL

          static final String MAP_INDIVIDUAL

      See Also:
        Constant Field Values

    - #### MAP_INDIVIDUAL_FL

          static final String MAP_INDIVIDUAL_FL

      See Also:
        Constant Field Values

    - #### MAP_LCMAP

          static final String MAP_LCMAP

      See Also:
        Constant Field Values

    - #### MAP_PATTERN

          static final String MAP_PATTERN

      See Also:
        Constant Field Values

    - #### MAP_REPLACE

          static final String MAP_REPLACE

      See Also:
        Constant Field Values

    - #### MAX_FIELD_VALUE_CHARS

          static final String MAX_FIELD_VALUE_CHARS

      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CHARS

          static final String MAX_TOTAL_CHARS

      See Also:
        Constant Field Values

    - #### DOCID_FIELD_DEFAULT

          static final String DOCID_FIELD_DEFAULT

      See Also:
        Constant Field Values

    - #### DOCID_LANGFIELD_DEFAULT

          static final String DOCID_LANGFIELD_DEFAULT

    - #### DOCID_LANGSFIELD_DEFAULT

          static final String DOCID_LANGSFIELD_DEFAULT

    - #### MAP_PATTERN_DEFAULT

          static final String MAP_PATTERN_DEFAULT

      See Also:
        Constant Field Values

    - #### MAP_REPLACE_DEFAULT

          static final String MAP_REPLACE_DEFAULT

      See Also:
        Constant Field Values

    - #### MAX_FIELD_VALUE_CHARS_DEFAULT

          static final int MAX_FIELD_VALUE_CHARS_DEFAULT

      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CHARS_DEFAULT

          static final int MAX_TOTAL_CHARS_DEFAULT

      See Also:
        Constant Field Values

    - #### DOCID_THRESHOLD_DEFAULT

          static final Double DOCID_THRESHOLD_DEFAULT

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.